| Home | Libraries | People | FAQ | More

## Function template generate_n

boost::compute::generate_n

## Synopsis

    // In header: <boost/compute/algorithm/generate_n.hpp>

    template<typename OutputIterator, typename Size, typename Generator>
      void generate_n(OutputIterator first, Size count, Generator generator,
                      command_queue & queue = system::default_queue());

## Description

Stores the result of `generator` for each element in the range [`first`, `first` + `count`).